commandline-demo.cpp File Reference
`#include <wibble/commandline/parser.h>`
`#include <iostream>`
Include dependency graph for commandline-demo.cpp:

## Functions

int | withCommands (int argc, const char *argv[])
void | usage (ostream &out, const string &argv0)
int | main (int argc, const char *argv[])

## Function Documentation

## main()

int main | ( | int | argc,
|  | const char * | argv[]
| ) |  |

References wibble::exception::Generic::fullInfo(), wibble::exception::Generic::type(), usage(), wibble::exception::Generic::what(), and withCommands().

## usage()

void usage | ( | ostream & | out,
|  | const string & | argv0
| ) |  |

Referenced by wibble::commandline::OptionGroup::add(), wibble::commandline::OptionGroup::create(), and main().

## withCommands()

int withCommands | ( | int | argc,
|  | const char * | argv[]
| ) |  |

References wibble::commandline::Engine::add(), wibble::commandline::OptionGroup::add(), wibble::commandline::Engine::addEngine(), wibble::commandline::BoolOption::boolValue(), wibble::commandline::SingleOption< T >::boolValue(), wibble::commandline::Engine::description, wibble::commandline::Engine::foundCommand(), wibble::exception::Generic::fullInfo(), wibble::commandline::StandardParser::help, wibble::commandline::Engine::longDescription, wibble::commandline::StandardParserWithManpage::manpage, wibble::commandline::Engine::name(), wibble::commandline::StandardParser::outputHelp(), wibble::commandline::StandardParserWithMandatoryCommand::parse(), wibble::commandline::Engine::usage, and wibble::commandline::StandardParser::version.

Referenced by main().